LiveDataManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.livedata.server.session.LiveDataManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.livedata.server.session
Class LiveDataManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.livedata.server.session.LiveDataManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class LiveDataManagerEJBImpl

extends java.lang.Object
implements javax.ejb.SessionBean

See Also:
  Serialized Form

Constructor Summary
`LiveDataManagerEJBImpl()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbPostCreate()`
`void` | `ejbRemove()`
`LiveDataFormatter` | `findFormatter(java.lang.String id)` Find a formatter based on its 'id' property.
`java.util.Set` | `findFormatters(LiveDataCommand cmd, FormatType type)` Gets a set of `LiveDataFormatter`s which are able to format the passed command.
`java.lang.String[]` | `getCommands(AuthzSubject subject, AppdefEntityID id)` Get the available commands for a given resources.
`ConfigSchema` | `getConfigSchema(AuthzSubject subject, AppdefEntityID id, java.lang.String command)` Get the ConfigSchema for a given resource.
`LiveDataResult` | `getData(AuthzSubject subject, LiveDataCommand cmd)` Run the given live data command.
`LiveDataResult[]` | `getData(AuthzSubject subject, LiveDataCommand[] commands)` Run a list of live data commands in batch.
`LiveDataResult[]` | `getData(AuthzSubject subject, LiveDataCommand[] commands, long cacheTimeout)` Run a list of live data commands in batch.
`LiveDataResult` | `getData(AuthzSubject subject, LiveDataCommand cmd, long cacheTimeout)` Run the given live data command.
`static org.hyperic.hq.livedata.shared.LiveDataManagerLocal` | `getOne()`
`void` | `registerFormatter(LiveDataFormatter f)`
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `unregisterFormatter(LiveDataFormatter f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LiveDataManagerEJBImpl

    public LiveDataManagerEJBImpl()

Method Detail

### ejbCreate

    public void ejbCreate()

### getOne

    public static org.hyperic.hq.livedata.shared.LiveDataManagerLocal getOne()

### ejbPostCreate

    public void ejbPostCreate()

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

### getData

    public LiveDataResult getData(AuthzSubject subject,
                                  LiveDataCommand cmd)
                           throws AppdefEntityNotFoundException,
                                  PermissionException,
                                  AgentNotFoundException,
                                  LiveDataException

  Run the given live data command.

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`
    `AgentNotFoundException`
    `LiveDataException`

### getData

    public LiveDataResult getData(AuthzSubject subject,
                                  LiveDataCommand cmd,
                                  long cacheTimeout)
                           throws PermissionException,
                                  AgentNotFoundException,
                                  AppdefEntityNotFoundException,
                                  LiveDataException

  Run the given live data command. If cached data is found that is not older than the cachedTimeout the cached data will be returned.

  Parameters:
    `cacheTimeout` -
  Throws:
    `PermissionException`
    `AgentNotFoundException`
    `AppdefEntityNotFoundException`
    `LiveDataException`

### getData

    public LiveDataResult[] getData(AuthzSubject subject,
                                    LiveDataCommand[] commands)
                             throws AppdefEntityNotFoundException,
                                    PermissionException,
                                    AgentNotFoundException,
                                    LiveDataException

  Run a list of live data commands in batch.

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`
    `AgentNotFoundException`
    `LiveDataException`

### getData

    public LiveDataResult[] getData(AuthzSubject subject,
                                    LiveDataCommand[] commands,
                                    long cacheTimeout)
                             throws PermissionException,
                                    AppdefEntityNotFoundException,
                                    AgentNotFoundException,
                                    LiveDataException

  Run a list of live data commands in batch. If cached data is found that is not older than the cacheTimeout the cached data will be returned.

  Parameters:
    `cacheTimeout` - The cache timeout given in milliseconds.
  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`
    `AgentNotFoundException`
    `LiveDataException`

### getCommands

    public java.lang.String[] getCommands(AuthzSubject subject,
                                          AppdefEntityID id)
                                   throws PluginException,
                                          PermissionException

  Get the available commands for a given resources.

  Throws:
    `PluginException`
    `PermissionException`

### registerFormatter

    public void registerFormatter(LiveDataFormatter f)

### unregisterFormatter

    public void unregisterFormatter(LiveDataFormatter f)

### findFormatters

    public java.util.Set findFormatters(LiveDataCommand cmd,
                                        FormatType type)

  Gets a set of `LiveDataFormatter`s which are able to format the passed command.

### findFormatter

    public LiveDataFormatter findFormatter(java.lang.String id)

  Find a formatter based on its 'id' property.

### getConfigSchema

    public ConfigSchema getConfigSchema(AuthzSubject subject,
                                        AppdefEntityID id,
                                        java.lang.String command)
                                 throws PluginException,
                                        PermissionException

  Get the ConfigSchema for a given resource.

  Throws:
    `PluginException`
    `PermissionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.